# The MEME Suite

## Motif-based sequence analysis tools

## transfac2meme

### Usage:

`transfac2meme [options] <matrix file>`

### Description

Convert a TRANSFAC 'matrix.dat' file into a MEME motif file suitable for use with MEME Suite programs.

### Input

#### <matrix file>

The name of a file in TRANSFAC Matrix Format of in a "TRANSFAC-like" format.

The IUPAC letter at the end of each matrix line is optional. The motif name is taken from the "ID" line, but may also be taken from the "AC" or "NA" line if requested using an optional parameter (below). The "NA" name, if present, is used as the secondary motif name, separated by a space from the primary name, except when it is requested to be the primary name. Note that dollar signs are converted to underscores in the motif name.

Each TRANSFAC(-like) entry must end with either an "XX" or "//" line.

### Output

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-use_acc |  | Use the accession name instead of the TRANSFAC ID as the motif identifier. |
-ids | ID file | Keep only the motifs identified in the ID file. | Keep all motifs.
-species | species name | Keep only motifs with this species name. | Keep all motifs.